Brivio API reference
Custom hostnames

Claim a custom hostname. Platform hosts are refused (422); a domain of another organization or account is 409; 200 when this organization already has it. Honours Idempotency-Key. (scope: sites:write)

POST
/custom-hostnames

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body
domain*string

Scheme, path and port are stripped.

Length3 <= length <= 253
target?string

Default store when the organization has a store, else tenant (the whole tenant host).

Value in"store""site""tenant"
site_id?string

Store to bind (store/site targets).

Formatuuid

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/custom-hostnames" \  -H "Content-Type: application/json" \  -d '{    "domain": "string"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "domain": "string",    "created": true  },  "error": null}